
Lookup Editor - Feature #1177

Allow user-based lookup files

01/22/2016 07:18 PM - Luke Murphey

Status: Closed Start date: 01/22/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.1   

Description

Add the option to have lookups made in the user's directory.

Logic for determining if a lookup should be made in the user's directory:

If the user is not an admin (admin_all_objects), then make the lookup in the user's directory

(/Library/Splunk/splunk_sp/etc/users/luke/lookup_editor/lookups/lukeup.csv). Another option is to ask the user if they want this to be

a user-local lookup.

Subtasks:

Feature # 1178: Show user-based lookups in lister Closed

Feature # 1179: Create lookup in user's directory Closed

Task # 1189: Verify functionality works with existing features Closed

Bug # 1191: Export of user lookups fail Closed

Bug # 1192: Loading sometimes fails Closed

History

#1 - 02/01/2016 04:43 AM - Luke Murphey

Need to make sure that the controller makes the lookups in the correct path; seems like save() may not.

Not sure why the value of resolve_lookup_filename() isn't used for making the lookup (instead the variable destination_full_path is used).

#2 - 02/01/2016 05:18 PM - Luke Murphey

Need to clarify what resolve_lookup_filename() does.

#3 - 02/03/2016 12:11 AM - Luke Murphey

- Status changed from New to In Progress

#4 - 02/03/2016 12:11 AM - Luke Murphey

- Description updated

#5 - 02/05/2016 11:06 PM - Luke Murphey

- Status changed from In Progress to Closed

Powered by TCPDF (www.tcpdf.org)

05/04/2024 1/1

http://www.tcpdf.org

